#Include "Protheus.ch"

/*/{Protheus.doc} MT100LOK
// Ponto de entrada utilizado pelo importador da ConexoNF-e validao dos impostos ao classificar uma 
NFe e tambm validao do valor total contra o XML.
@author ConexoNF-e
@since 02/03/2022
@version 1.0
@return lRet, .T.
@see (https://atendimento.conexaonfe.com.br/kb/)
/*/
User Function MT100TOK()
Local lRet := .T.
    
    // Restrio para validaes no serem chamadas duas vezes ao utilizar o importador da ConexoNF-e, 
	// mantendo a chamada apenas no final do processo, quando a varivel l103Auto estiver .F.
    If !FwIsInCallStack('U_GATI001') .Or. IIf(Type('l103Auto') == 'U',.T.,!l103Auto)
		//If
		//	Regra existente
		//	[...]
		//EndIf
	EndIf
    
    If lRet
        // Ponto de chamada ConexoNF-e sempre como ltima instruo.
        lRet := U_GTPE005() 
    EndIf
    
Return lRet
