#Include "Protheus.ch"

/*/{Protheus.doc} MT140TOK
// Ponto de entrada utilizado pelo importador da ConexoNF-e para definir a varivel l103Auto como .F. para o comportamento correto
das validaes especficas na pr-nota.
@author ConexoNF-e
@since 02/03/2022
@version 1.0
@return lRet, .T.
@see (https://atendimento.conexaonfe.com.br/kb/)
/*/
User Function MT140TOK()
Local lRet := .T.

    // Ponto de chamada ConexoNF-e sempre como primeira instruo.
    lRet := U_GTPE011()

    // Restrio para validaes no serem chamadas duas vezes ao utilizar o importador da ConexoNF-e,
    // mantendo a chamada apenas no final do processo, quando a variavel l103Auto estiver .F.
    If lRet .And. !FwIsInCallStack('U_GATI001') .Or. !l103Auto
        //If
        //	Regra existente
        //	[...]
        //EndIf
    EndIf

Return lRet 
